Bug 998888 - Unable to install rhq server - ClassNotFoundException
Unable to install rhq server - ClassNotFoundException
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
4.8
Unspecified Unspecified
urgent Severity urgent (vote)
: ---
: RHQ 4.9
Assigned To: Thomas Segismont
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 05:51 EDT by Filip Brychta
Modified: 2013-09-24 15:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-24 15:08:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2013-08-20 05:51:51 EDT
Description of problem:
$Summary

Version-Release number of selected component (if applicable):
rhq-server-4.9.0-SNAPSHOT
09306ff274e4fc42e7eccd031be0535b8a0283d1

How reproducible:
Always

Steps to Reproduce:
1. ./rhqctl install


Actual results:
installer exception:
05:45:39,986 ERROR [org.rhq.enterprise.server.installer.Installer] An error occurred: org.rhq.common.jbossas.client.controller.FailureException: Failed to add new subsystem [rhq-startup]: {"JBAS014671: Failed services" => {"jboss.deployment.subunit.\"rhq.ear\".\"rhq-server.jar\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"rhq.ear\".\"rhq-server.jar\".POST_MODULE: JBAS018733: Failed to process phase POST_MODULE of subdeployment \"rhq-server.jar\" of deployment \"rhq.ear\"
    Caused by: java.lang.RuntimeException: JBAS018757: Error getting reflective information for class org.rhq.enterprise.server.bundle.BundleManagerBean with ClassLoader ModuleClassLoader for Module \"deployment.rhq.ear.rhq-server.jar:main\" from Service Module Loader
    Caused by: java.lang.NoClassDefFoundError: org/apache/http/params/HttpParams
    Caused by: java.lang.ClassNotFoundException: org.apache.http.params.HttpParams from [Module \"deployment.rhq.ear.rhq-server.jar:main\" from Service Module Loader]"},"JBAS014771: Services with missing/unavailable dependencies" => ["jboss.deployment.subunit.\"rhq.ear\".\"rhq-rest.war\".INSTALL is missing [jboss.deployment.subunit.\"rhq.ear\".\"rhq-content_http.war\".deploymentCompleteService]","jboss.deployment.subunit.\"rhq.ear\".\"rhq-content_http.war\".INSTALL is missing [jboss.deployment.subunit.\"rhq.ear\".\"rhq-portal.war\".deploymentCompleteService]","jboss.deployment.subunit.\"rhq.ear\".\"rhq-portal.war\".INSTALL is missing [jboss.deployment.subunit.\"rhq.ear\".\"rhq-server.jar\".deploymentCompleteService, jboss.deployment.subunit.\"rhq.ear\".\"rhq-server.jar\".INSTALL]","jboss.deployment.subunit.\"rhq.ear\".\"coregui.war\".INSTALL is missing [jboss.deployment.subunit.\"rhq.ear\".\"rhq-remoting.war\".deploymentCompleteService]","jboss.deployment.subunit.\"rhq.ear\".\"rhq-remoting.war\".INSTALL is missing [jboss.deployment.subunit.\"rhq.ear\".\"rhq-rest-examples.war\".deploymentCompleteService]","jboss.deployment.subunit.\"rhq.ear\".\"rhq-rest-examples.war\".INSTALL is missing [jboss.deployment.subunit.\"rhq.ear\".\"rhq-rest.war\".deploymentCompleteService]"]}
	at org.rhq.common.jbossas.client.controller.CoreJBossASClient.addSubsystem(CoreJBossASClient.java:326) [rhq-jboss-as-dmr-client-4.9.0-SNAPSHOT.jar:4.9.0-SNAPSHOT]
	at org.rhq.enterprise.server.installer.InstallerServiceImpl.deployAppSubsystem(InstallerServiceImpl.java:1126) [rhq-installer-util-4.9.0-SNAPSHOT.jar:4.9.0-SNAPSHOT]
	at org.rhq.enterprise.server.installer.InstallerServiceImpl.install(InstallerServiceImpl.java:311) [rhq-installer-util-4.9.0-SNAPSHOT.jar:4.9.0-SNAPSHOT]
	at org.rhq.enterprise.server.installer.Installer.doInstall(Installer.java:115) [rhq-installer-util-4.9.0-SNAPSHOT.jar:4.9.0-SNAPSHOT]
	at org.rhq.enterprise.server.installer.Installer.main(Installer.java:56) [rhq-installer-util-4.9.0-SNAPSHOT.jar:4.9.0-SNAPSHOT]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.6.0_24]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.6.0_24]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.6.0_24]
	at java.lang.reflect.Method.invoke(Method.java:616) [rt.jar:1.6.0_24]
	at org.jboss.modules.Module.run(Module.java:262) [jboss-modules.jar:1.2.0.CR1]
	at org.jboss.modules.Main.main(Main.java:329) [jboss-modules.jar:1.2.0.CR1]




exception from server log:
05:45:38,995 ERROR [org.jboss.msc.service.fail] (MSC service thread 1-1) MSC00001: Failed to start service jboss.deployment.subunit."rhq.ear"."rhq-server.jar".POST_MODULE: org.jboss.msc.service.StartException in service jboss.deployment.subunit."rhq.ear"."rhq-server.jar".POST_MODULE: JBAS018733: Failed to process phase POST_MODULE of subdeployment "rhq-server.jar" of deployment "rhq.ear"
        at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:127) [jboss-as-server-7.2.0.Alpha1-redhat-4.jar:7.2.0.Alpha1-redhat-4]
        at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1811) [jboss-msc-1.0.4.GA.jar:1.0.4.GA]
        at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1746) [jboss-msc-1.0.4.GA.jar:1.0.4.GA]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110) [rt.jar:1.6.0_24]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603) [rt.jar:1.6.0_24]
        at java.lang.Thread.run(Thread.java:679) [rt.jar:1.6.0_24]
Caused by: java.lang.RuntimeException: JBAS018757: Error getting reflective information for class org.rhq.enterprise.server.bundle.BundleManagerBean with ClassLoader ModuleClassLoader for Module "deployment.rhq.ear.rhq-server.jar:main" from Service Module Loader
        at org.jboss.as.server.deployment.reflect.DeploymentReflectionIndex.getClassIndex(DeploymentReflectionIndex.java:72) [jboss-as-server-7.2.0.Alpha1-redhat-4.jar:7.2.0.Alpha1-redhat-4]
        at org.jboss.as.ee.metadata.MethodAnnotationAggregator.runtimeAnnotationInformation(MethodAnnotationAggregator.java:58)
        at org.jboss.as.ee.component.deployers.InterceptorAnnotationProcessor.handleAnnotations(InterceptorAnnotationProcessor.java:107)
        at org.jboss.as.ee.component.deployers.InterceptorAnnotationProcessor.processComponentConfig(InterceptorAnnotationProcessor.java:92)
        at org.jboss.as.ee.component.deployers.InterceptorAnnotationProcessor.deploy(InterceptorAnnotationProcessor.java:77)
        at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:120) [jboss-as-server-7.2.0.Alpha1-redhat-4.jar:7.2.0.Alpha1-redhat-4]
        ... 5 more
Caused by: java.lang.NoClassDefFoundError: org/apache/http/params/HttpParams
        at java.lang.Class.getDeclaredFields0(Native Method) [rt.jar:1.6.0_24]
        at java.lang.Class.privateGetDeclaredFields(Class.java:2308) [rt.jar:1.6.0_24]
        at java.lang.Class.getDeclaredFields(Class.java:1760) [rt.jar:1.6.0_24]
        at org.jboss.as.server.deployment.reflect.ClassReflectionIndex.<init>(ClassReflectionIndex.java:57) [jboss-as-server-7.2.0.Alpha1-redhat-4.jar:7.2.0.Alpha1-redhat-4]
        at org.jboss.as.server.deployment.reflect.DeploymentReflectionIndex.getClassIndex(DeploymentReflectionIndex.java:68) [jboss-as-server-7.2.0.Alpha1-redhat-4.jar:7.2.0.Alpha1-redhat-4]
        ... 10 more
Caused by: java.lang.ClassNotFoundException: org.apache.http.params.HttpParams from [Module "deployment.rhq.ear.rhq-server.jar:main" from Service Module Loader]
Comment 1 Thomas Segismont 2013-08-20 16:07:08 EDT
commit 780754337739def7f1a19d18166ead7fde50f936
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Tue Aug 20 22:02:58 2013 +0200

<tsegismont> About https://bugzilla.redhat.com/show_bug.cgi?id=998888
<tsegismont> Just found the cause
<tsegismont> Commit d5660806b9af04345bbc7e54e3d21edebed7d641
<tsegismont> when cassandra-ccm-core dependency was removed from cassandra-schema
<tsegismont> server jar lost http-client as transitive dependency
Comment 2 Filip Brychta 2013-08-21 03:40:16 EDT
Verified on 
Version: 4.9.0-SNAPSHOT
Build Number: 9bdea14
Comment 3 Heiko W. Rupp 2013-09-24 15:08:40 EDT
Bulk closing of RHQ 4.9 verified items

Note You need to log in before you can comment on or make changes to this bug.